%global libname stl_tools

Name:		python-stl_tools
Version:	0.1
Release:	1%{?dist}
Summary:	Generate STL files from numpy arrays and text
Group:		Development/Libraries
License:	ASL 2.0
URL:		https://github.com/thearn/stl_tools
Source0:	https://pypi.python.org/packages/source/s/stl_tools/%{libname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python2-devel
Requires:	numpy >= 1.7
Requires:	scipy >= 0.12
Requires:	python-matplotlib >= 1.2.1
Requires:	python-tornado

%description
Python code to generate STL geometry files from plain text, LaTeX code, and 
2D numpy arrays (matrices). This allows for rapid 3D printing of text, 
rendered equations, or simple digital images. Use them for product 
prototyping, art, cookie cutters, ice cube trays, chocolate molds, or 
whatever else you can think of.

%prep
%setup -q -n %{libname}-%{version}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%doc PKG-INFO
%{_bindir}/image2stl
%{python_sitelib}/%{libname}-%{version}-*.egg-info
%{python_sitelib}/%{libname}

%changelog
* Thu Oct 10 2013 Tom Callaway <spot@fedoraproject.org> - 0.1-1
- initial package
